Page MenuHomePhabricator

Flow causing mediawiki-extensions-hhvm-jessie to fail - blocks merges in MobileFrontend
Closed, ResolvedPublic

Description

e.g. https://integration.wikimedia.org/ci/job/mediawiki-extensions-hhvm-jessie/19877/console

:52:19 mw-exception.log:2017-08-08 18:49:26 ci-jessie-wikimedia-774578 jenkins_u0_mw-unittest_: [631cd6178a086eaf204c572f] [no req]   Flow\Exception\InvalidDataException from line 118 of /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/extensions/Flow/includes/Data/Listener/NotificationListener.php: Invalid metadata for topic|post revision tvv55sb9hxo78odo
18:52:19 mw-exception.log:#0 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/extensions/Flow/includes/Data/Listener/NotificationListener.php(57): Flow\Data\Listener\NotificationListener->notifyPostChange(string, Flow\Model\PostRevision, array)
18:52:19 mw-exception.log:#1 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/extensions/Flow/includes/Data/Listener/DeferredInsertLifecycleHandler.php(36): Flow\Data\Listener\NotificationListener->onAfterInsert(Flow\Model\PostRevision, array, array)
18:52:19 mw-exception.log:#2 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/includes/deferred/MWCallableUpdate.php(30): Closure$Flow\Data\Listener\DeferredInsertLifecycleHandler::onAfterInsert()
18:52:19 mw-exception.log:#3 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/includes/deferred/DeferredUpdates.php(257): MWCallableUpdate->doUpdate()
18:52:19 mw-exception.log:#4 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/includes/deferred/DeferredUpdates.php(210): DeferredUpdates::runUpdate(MWCallableUpdate, Wikimedia\Rdbms\LBFactorySimple, string, integer)
18:52:19 mw-exception.log:#5 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/includes/deferred/DeferredUpdates.php(131): DeferredUpdates::execute(array, string, integer)
18:52:19 mw-exception.log:#6 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/includes/deferred/DeferredUpdates.php(289): DeferredUpdates::doUpdates(string)
18:52:19 mw-exception.log:#7 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/includes/deferred/DeferredUpdates.php(97): DeferredUpdates::tryOpportunisticExecute(string)
18:52:19 mw-exception.log:#8 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/includes/deferred/DeferredUpdates.php(114): DeferredUpdates::addUpdate(MWCallableUpdate, integer)
18:52:19 mw-exception.log:#9 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/extensions/Flow/tests/phpunit/PostRevisionTestCase.php(251): DeferredUpdates::addCallableUpdate(Closure$Flow\Data\Listener\DeferredInsertLifecycleHandler::onAfterInsert;1522)
18:52:19 mw-exception.log:#10 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/extensions/Flow/tests/phpunit/Notifications/NotifiedUsersTest.php(152): Flow\Tests\PostRevisionTestCase->store(Flow\Model\PostRevision)
18:52:19 mw-exception.log:#11 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/extensions/Flow/tests/phpunit/Notifications/NotifiedUsersTest.php(41): Flow\Tests\NotifiedUsersTest->getTestData()
18:52:19 mw-exception.log:#12 [internal function]: Flow\Tests\NotifiedUsersTest->testWatchingTopic()
18:52:19 mw-exception.log:#13 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/vendor/phpunit/phpunit/src/Framework/TestCase.php(909): ReflectionMethod->invokeArgs(Flow\Tests\NotifiedUsersTest, array)
18:52:19 mw-exception.log:#14 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/vendor/phpunit/phpunit/src/Framework/TestCase.php(768): PHPUnit_Framework_TestCase->runTest()
18:52:19 mw-exception.log:#15 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/vendor/phpunit/phpunit/src/Framework/TestResult.php(612): PHPUnit_Framework_TestCase->runBare()
18:52:19 mw-exception.log:#16 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/vendor/phpunit/phpunit/src/Framework/TestCase.php(724): PHPUnit_Framework_TestResult->run(Flow\Tests\NotifiedUsersTest)
18:52:19 mw-exception.log:#17 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/tests/phpunit/MediaWikiTestCase.php(415): PHPUnit_Framework_TestCase->run(PHPUnit_Framework_TestResult)
18:52:19 mw-exception.log:#18 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/vendor/phpunit/phpunit/src/Framework/TestSuite.php(722): MediaWikiTestCase->run(PHPUnit_Framework_TestResult)
18:52:19 mw-exception.log:#19 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/vendor/phpunit/phpunit/src/Framework/TestSuite.php(722): PHPUnit_Framework_TestSuite->run(PHPUnit_Framework_TestResult)
18:52:19 mw-exception.log:#20 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/vendor/phpunit/phpunit/src/Framework/TestSuite.php(722): PHPUnit_Framework_TestSuite->run(PHPUnit_Framework_TestResult)
18:52:19 mw-exception.log:#21 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/vendor/phpunit/phpunit/src/Framework/TestSuite.php(722): PHPUnit_Framework_TestSuite->run(PHPUnit_Framework_TestResult)
18:52:19 mw-exception.log:#22 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/vendor/phpunit/phpunit/src/TextUI/TestRunner.php(440): PHPUnit_Framework_TestSuite->run(PHPUnit_Framework_TestResult)
18:52:19 mw-exception.log:#23 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/vendor/phpunit/phpunit/src/TextUI/Command.php(149): PHPUnit_TextUI_TestRunner->doRun(PHPUnit_Framework_TestSuite, array)
18:52:19 mw-exception.log:#24 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/vendor/phpunit/phpunit/src/TextUI/Command.php(100): PHPUnit_TextUI_Command->run(array, boolean)
18:52:19 mw-exception.log:#25 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/tests/phpunit/phpunit.php(133): PHPUnit_TextUI_Command::main()
18:52:19 mw-exception.log:#26 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/maintenance/doMaintenance.php(111): PHPUnitMaintClass->execute()
18:52:19 mw-exception.log:#27 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/tests/phpunit/phpunit.php(163): include(string)
18:52:19 mw-exception.log:#28 {main}
18:52:19 mw-exception.log:2017-08-08 18:49:26 ci-jessie-wikimedia-774578 jenkins_u0_mw-unittest_: [631cd6178a086eaf204c572f] [no req]   Flow\Exception\InvalidDataException from line 118 of /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/extensions/Flow/includes/Data/Listener/NotificationListener.php: Invalid metadata for topic|post revision tvv55sd2z3xfgigc
18:52:19 mw-exception.log:#0 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/extensions/Flow/includes/Data/Listener/NotificationListener.php(57): Flow\Data\Listener\NotificationListener->notifyPostChange(string, Flow\Model\PostRevision, array)
18:52:19 mw-exception.log:#1 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/extensions/Flow/includes/Data/Listener/DeferredInsertLifecycleHandler.php(36): Flow\Data\Listener\NotificationListener->onAfterInsert(Flow\Model\PostRevision, array, array)
18:52:19 mw-exception.log:#2 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/includes/deferred/MWCallableUpdate.php(30): Closure$Flow\Data\Listener\DeferredInsertLifecycleHandler::onAfterInsert()
18:52:19 mw-exception.log:#3 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/includes/deferred/DeferredUpdates.php(257): MWCallableUpdate->doUpdate()
18:52:19 mw-exception.log:#4 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/includes/deferred/DeferredUpdates.php(210): DeferredUpdates::runUpdate(MWCallableUpdate, Wikimedia\Rdbms\LBFactorySimple, string, integer)
18:52:19 mw-exception.log:#5 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/includes/deferred/DeferredUpdates.php(131): DeferredUpdates::execute(array, string, integer)
18:52:19 mw-exception.log:#6 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/includes/deferred/DeferredUpdates.php(289): DeferredUpdates::doUpdates(string)
18:52:19 mw-exception.log:#7 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/includes/deferred/DeferredUpdates.php(97): DeferredUpdates::tryOpportunisticExecute(string)
18:52:19 mw-exception.log:#8 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/includes/deferred/DeferredUpdates.php(114): DeferredUpdates::addUpdate(MWCallableUpdate, integer)
18:52:19 mw-exception.log:#9 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/extensions/Flow/tests/phpunit/PostRevisionTestCase.php(251): DeferredUpdates::addCallableUpdate(Closure$Flow\Data\Listener\DeferredInsertLifecycleHandler::onAfterInsert;1522)
18:52:19 mw-exception.log:#10 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/extensions/Flow/tests/phpunit/Notifications/NotifiedUsersTest.php(166): Flow\Tests\PostRevisionTestCase->store(Flow\Model\PostRevision)
18:52:19 mw-exception.log:#11 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/extensions/Flow/tests/phpunit/Notifications/NotifiedUsersTest.php(41): Flow\Tests\NotifiedUsersTest->getTestData()
18:52:19 mw-exception.log:#12 [internal function]: Flow\Tests\NotifiedUsersTest->testWatchingTopic()
18:52:19 mw-exception.log:#13 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/vendor/phpunit/phpunit/src/Framework/TestCase.php(909): ReflectionMethod->invokeArgs(Flow\Tests\NotifiedUsersTest, array)
18:52:19 mw-exception.log:#14 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/vendor/phpunit/phpunit/src/Framework/TestCase.php(768): PHPUnit_Framework_TestCase->runTest()
18:52:19 mw-exception.log:#15 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/vendor/phpunit/phpunit/src/Framework/TestResult.php(612): PHPUnit_Framework_TestCase->runBare()
18:52:19 mw-exception.log:#16 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/vendor/phpunit/phpunit/src/Framework/TestCase.php(724): PHPUnit_Framework_TestResult->run(Flow\Tests\NotifiedUsersTest)
18:52:19 mw-exception.log:#17 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/tests/phpunit/MediaWikiTestCase.php(415): PHPUnit_Framework_TestCase->run(PHPUnit_Framework_TestResult)
18:52:19 mw-exception.log:#18 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/vendor/phpunit/phpunit/src/Framework/TestSuite.php(722): MediaWikiTestCase->run(PHPUnit_Framework_TestResult)
18:52:19 mw-exception.log:#19 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/vendor/phpunit/phpunit/src/Framework/TestSuite.php(722): PHPUnit_Framework_TestSuite->run(PHPUnit_Framework_TestResult)
18:52:19 mw-exception.log:#20 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/vendor/phpunit/phpunit/src/Framework/TestSuite.php(722): PHPUnit_Framework_TestSuite->run(PHPUnit_Framework_TestResult)
18:52:19 mw-exception.log:#21 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/vendor/phpunit/phpunit/src/Framework/TestSuite.php(722): PHPUnit_Framework_TestSuite->run(PHPUnit_Framework_TestResult)
18:52:19 mw-exception.log:#22 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/vendor/phpunit/phpunit/src/TextUI/TestRunner.php(440): PHPUnit_Framework_TestSuite->run(PHPUnit_Framework_TestResult)
18:52:19 mw-exception.log:#23 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/vendor/phpunit/phpunit/src/TextUI/Command.php(149): PHPUnit_TextUI_TestRunner->doRun(PHPUnit_Framework_TestSuite, array)
18:52:19 mw-exception.log:#24 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/vendor/phpunit/phpunit/src/TextUI/Command.php(100): PHPUnit_TextUI_Command->run(array, boolean)
18:52:19 mw-exception.log:#25 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/tests/phpunit/phpunit.php(133): PHPUnit_TextUI_Command::main()
18:52:19 mw-exception.log:#26 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/maintenance/doMaintenance.php(111): PHPUnitMaintClass->execute()
18:52:19 mw-exception.log:#27 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/tests/phpunit/phpunit.php(163): include(string)
18:52:19 mw-exception.log:#28 {main}
18:52:19 mw-exception.log:2017-08-08 18:49:27 ci-jessie-wikimedia-774578 jenkins_u0_mw-unittest_: [631cd6178a086eaf204c572f] [no req]   Flow\Exception\InvalidDataException from line 118 of /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/extensions/Flow/includes/Data/Listener/NotificationListener.php: Invalid metadata for topic|post revision tvv55sq7cfmv11f0
18:52:19 mw-exception.log:#0 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/extensions/Flow/includes/Data/Listener/NotificationListener.php(57): Flow\Data\Listener\NotificationListener->notifyPostChange(string, Flow\Model\PostRevision, array)
18:52:19 mw-exception.log:#1 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/extensions/Flow/includes/Data/Listener/DeferredInsertLifecycleHandler.php(36): Flow\Data\Listener\NotificationListener->onAfterInsert(Flow\Model\PostRevision, array, array)
18:52:19 mw-exception.log:#2 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/includes/deferred/MWCallableUpdate.php(30): Closure$Flow\Data\Listener\DeferredInsertLifecycleHandler::onAfterInsert()
18:52:19 mw-exception.log:#3 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/includes/deferred/DeferredUpdates.php(257): MWCallableUpdate->doUpdate()
18:52:19 mw-exception.log:#4 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/includes/deferred/DeferredUpdates.php(210): DeferredUpdates::runUpdate(MWCallableUpdate, Wikimedia\Rdbms\LBFactorySimple, string, integer)
18:52:19 mw-exception.log:#5 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/includes/deferred/DeferredUpdates.php(131): DeferredUpdates::execute(array, string, integer)
18:52:19 mw-exception.log:#6 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/includes/deferred/DeferredUpdates.php(289): DeferredUpdates::doUpdates(string)
18:52:19 mw-exception.log:#7 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/includes/deferred/DeferredUpdates.php(97): DeferredUpdates::tryOpportunisticExecute(string)
18:52:19 mw-exception.log:#8 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/includes/deferred/DeferredUpdates.php(114): DeferredUpdates::addUpdate(MWCallableUpdate, integer)
18:52:19 mw-exception.log:#9 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/extensions/Flow/tests/phpunit/PostRevisionTestCase.php(251): DeferredUpdates::addCallableUpdate(Closure$Flow\Data\Listener\DeferredInsertLifecycleHandler::onAfterInsert;1522)
18:52:19 mw-exception.log:#10 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/extensions/Flow/tests/phpunit/Notifications/NotifiedUsersTest.php(152): Flow\Tests\PostRevisionTestCase->store(Flow\Model\PostRevision)
18:52:19 mw-exception.log:#11 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/extensions/Flow/tests/phpunit/Notifications/NotifiedUsersTest.php(65): Flow\Tests\NotifiedUsersTest->getTestData()
18:52:19 mw-exception.log:#12 [internal function]: Flow\Tests\NotifiedUsersTest->testWatchingBoard()
18:52:19 mw-exception.log:#13 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/vendor/phpunit/phpunit/src/Framework/TestCase.php(909): ReflectionMethod->invokeArgs(Flow\Tests\NotifiedUsersTest, array)
18:52:19 mw-exception.log:#14 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/vendor/phpunit/phpunit/src/Framework/TestCase.php(768): PHPUnit_Framework_TestCase->runTest()
18:52:19 mw-exception.log:#15 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/vendor/phpunit/phpunit/src/Framework/TestResult.php(612): PHPUnit_Framework_TestCase->runBare()
18:52:19 mw-exception.log:#16 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/vendor/phpunit/phpunit/src/Framework/TestCase.php(724): PHPUnit_Framework_TestResult->run(Flow\Tests\NotifiedUsersTest)
18:52:19 mw-exception.log:#17 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/tests/phpunit/MediaWikiTestCase.php(415): PHPUnit_Framework_TestCase->run(PHPUnit_Framework_TestResult)
18:52:19 mw-exception.log:#18 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/vendor/phpunit/phpunit/src/Framework/TestSuite.php(722): MediaWikiTestCase->run(PHPUnit_Framework_TestResult)
18:52:19 mw-exception.log:#19 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/vendor/phpunit/phpunit/src/Framework/TestSuite.php(722): PHPUnit_Framework_TestSuite->run(PHPUnit_Framework_TestResult)
18:52:19 mw-exception.log:#20 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/vendor/phpunit/phpunit/src/Framework/TestSuite.php(722): PHPUnit_Framework_TestSuite->run(PHPUnit_Framework_TestResult)
18:52:19 mw-exception.log:#21 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/vendor/phpunit/phpunit/src/Framework/TestSuite.php(722): PHPUnit_Framework_TestSuite->run(PHPUnit_Framework_TestResult)
18:52:19 mw-exception.log:#22 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/vendor/phpunit/phpunit/src/TextUI/TestRunner.php(440): PHPUnit_Framework_TestSuite->run(PHPUnit_Framework_TestResult)
18:52:19 mw-exception.log:#23 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/vendor/phpunit/phpunit/src/TextUI/Command.php(149): PHPUnit_TextUI_TestRunner->doRun(PHPUnit_Framework_TestSuite, array)
18:52:19 mw-exception.log:#24 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/vendor/phpunit/phpunit/src/TextUI/Command.php(100): PHPUnit_TextUI_Command->run(array, boolean)
18:52:19 mw-exception.log:#25 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/tests/phpunit/phpunit.php(133): PHPUnit_TextUI_Command::main()
18:52:19 mw-exception.log:#26 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/maintenance/doMaintenance.php(111): PHPUnitMaintClass->execute()
18:52:19 mw-exception.log:#27 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/tests/phpunit/phpunit.php(163): include(string)
18:52:19 mw-exception.log:#28 {main}
18:52:19 mw-exception.log:2017-08-08 18:49:27 ci-jessie-wikimedia-774578 jenkins_u0_mw-unittest_: [631cd6178a086eaf204c572f] [no req]   Flow\Exception\InvalidDataException from line 118 of /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/extensions/Flow/includes/Data/Listener/NotificationListener.php: Invalid metadata for topic|post revision tvv55ssprkugnuy4
18:52:19 mw-exception.log:#0 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/extensions/Flow/includes/Data/Listener/NotificationListener.php(57): Flow\Data\Listener\NotificationListener->notifyPostChange(string, Flow\Model\PostRevision, array)
18:52:19 mw-exception.log:#1 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/extensions/Flow/includes/Data/Listener/DeferredInsertLifecycleHandler.php(36): Flow\Data\Listener\NotificationListener->onAfterInsert(Flow\Model\PostRevision, array, array)
18:52:19 mw-exception.log:#2 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/includes/deferred/MWCallableUpdate.php(30): Closure$Flow\Data\Listener\DeferredInsertLifecycleHandler::onAfterInsert()
18:52:19 mw-exception.log:#3 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/includes/deferred/DeferredUpdates.php(257): MWCallableUpdate->doUpdate()
18:52:19 mw-exception.log:#4 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/includes/deferred/DeferredUpdates.php(210): DeferredUpdates::runUpdate(MWCallableUpdate, Wikimedia\Rdbms\LBFactorySimple, string, integer)
18:52:19 mw-exception.log:#5 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/includes/deferred/DeferredUpdates.php(131): DeferredUpdates::execute(array, string, integer)
18:52:19 mw-exception.log:#6 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/includes/deferred/DeferredUpdates.php(289): DeferredUpdates::doUpdates(string)
18:52:19 mw-exception.log:#7 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/includes/deferred/DeferredUpdates.php(97): DeferredUpdates::tryOpportunisticExecute(string)
18:52:19 mw-exception.log:#8 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/includes/deferred/DeferredUpdates.php(114): DeferredUpdates::addUpdate(MWCallableUpdate, integer)
18:52:19 mw-exception.log:#9 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/extensions/Flow/tests/phpunit/PostRevisionTestCase.php(251): DeferredUpdates::addCallableUpdate(Closure$Flow\Data\Listener\DeferredInsertLifecycleHandler::onAfterInsert;1522)
18:52:19 mw-exception.log:#10 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/extensions/Flow/tests/phpunit/Notifications/NotifiedUsersTest.php(166): Flow\Tests\PostRevisionTestCase->store(Flow\Model\PostRevision)
18:52:19 mw-exception.log:#11 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/extensions/Flow/tests/phpunit/Notifications/NotifiedUsersTest.php(65): Flow\Tests\NotifiedUsersTest->getTestData()
18:52:19 mw-exception.log:#12 [internal function]: Flow\Tests\NotifiedUsersTest->testWatchingBoard()
18:52:19 mw-exception.log:#13 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/vendor/phpunit/phpunit/src/Framework/TestCase.php(909): ReflectionMethod->invokeArgs(Flow\Tests\NotifiedUsersTest, array)
18:52:19 mw-exception.log:#14 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/vendor/phpunit/phpunit/src/Framework/TestCase.php(768): PHPUnit_Framework_TestCase->runTest()
18:52:19 mw-exception.log:#15 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/vendor/phpunit/phpunit/src/Framework/TestResult.php(612): PHPUnit_Framework_TestCase->runBare()
18:52:19 mw-exception.log:#16 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/vendor/phpunit/phpunit/src/Framework/TestCase.php(724): PHPUnit_Framework_TestResult->run(Flow\Tests\NotifiedUsersTest)
18:52:19 mw-exception.log:#17 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/tests/phpunit/MediaWikiTestCase.php(415): PHPUnit_Framework_TestCase->run(PHPUnit_Framework_TestResult)
18:52:19 mw-exception.log:#18 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/vendor/phpunit/phpunit/src/Framework/TestSuite.php(722): MediaWikiTestCase->run(PHPUnit_Framework_TestResult)
18:52:19 mw-exception.log:#19 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/vendor/phpunit/phpunit/src/Framework/TestSuite.php(722): PHPUnit_Framework_TestSuite->run(PHPUnit_Framework_TestResult)
18:52:19 mw-exception.log:#20 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/vendor/phpunit/phpunit/src/Framework/TestSuite.php(722): PHPUnit_Framework_TestSuite->run(PHPUnit_Framework_TestResult)
18:52:19 mw-exception.log:#21 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/vendor/phpunit/phpunit/src/Framework/TestSuite.php(722): PHPUnit_Framework_TestSuite->run(PHPUnit_Framework_TestResult)
18:52:19 mw-exception.log:#22 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/vendor/phpunit/phpunit/src/TextUI/TestRunner.php(440): PHPUnit_Framework_TestSuite->run(PHPUnit_Framework_TestResult)
18:52:19 mw-exception.log:#23 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/vendor/phpunit/phpunit/src/TextUI/Command.php(149): PHPUnit_TextUI_TestRunner->doRun(PHPUnit_Framework_TestSuite, array)
18:52:19 mw-exception.log:#24 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/vendor/phpunit/phpunit/src/TextUI/Command.php(100): PHPUnit_TextUI_Command->run(array, boolean)
18:52:19 mw-exception.log:#25 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/tests/phpunit/phpunit.php(133): PHPUnit_TextUI_Command::main()
18:52:19 mw-exception.log:#26 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/maintenance/doMaintenance.php(111): PHPUnitMaintClass->execute()
18:52:19 mw-exception.log:#27 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/tests/phpunit/phpunit.php(163): include(string)

Event Timeline

Jdlrobson created this task.Aug 8 2017, 6:56 PM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptAug 8 2017, 6:56 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
thcipriani closed this task as Resolved.Aug 9 2017, 3:26 PM
thcipriani claimed this task.

Sorry for the noise. This was part of T50002: Jenkins: Assert no PHP errors (notices, warnings) were raised or exceptions were thrown. I have partially reverted the assertion, removed for all mediawiki-extension-* jobs since all were failing :(